net.sourceforge.pmd.lang.java.ast

## Class ASTMethodDeclaration

- java.lang.Object
- - net.sourceforge.pmd.lang.ast.AbstractNode
  - - net.sourceforge.pmd.lang.java.ast.AbstractJavaNode
    - - net.sourceforge.pmd.lang.java.ast.AbstractJavaAccessNode
      - - net.sourceforge.pmd.lang.java.ast.ASTMethodDeclaration

All Implemented Interfaces:
  Node, AccessNode, JavaNode

    public class ASTMethodDeclaration
    extends AbstractJavaAccessNode

### Field Summary

### Fields inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaNode

`parser`

### Fields inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

`beginColumn, beginLine, children, endColumn, endLine, id, parent`

### Fields inherited from interface net.sourceforge.pmd.lang.java.ast.AccessNode

`ABSTRACT, FINAL, NATIVE, PRIVATE, PROTECTED, PUBLIC, STATIC, STRICTFP, SYNCHRONIZED, TRANSIENT, VOLATILE`

### Constructor Summary

Constructors
Constructor and Description
`ASTMethodDeclaration(int id)`
`ASTMethodDeclaration(JavaParser p, int id)`

### Method Summary

Methods
`ASTBlock` `getBlock()`
`String` `getMethodName()` Gets the name of the method.
`ASTResultType` `getResultType()`
`boolean` `isAbstract()`
`boolean` `isInterfaceMember()`
`boolean` `isPublic()`
`boolean` `isSyntacticallyAbstract()`
`boolean` `isSyntacticallyPublic()`
`boolean` `isVoid()`
`Object` `jjtAccept(JavaParserVisitor visitor, Object data)` Accept the visitor

### Methods inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaAccessNode

`getModifiers, isFinal, isNative, isPackagePrivate, isPrivate, isProtected, isStatic, isStrictfp, isSynchronized, isTransient, isVolatile, setAbstract, setFinal, setModifiers, setNative, setPrivate, setProtected, setPublic, setStatic, setStrictfp, setSynchronized, setTransient, setVolatile`

### Methods inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaNode

`childrenAccept, comment, comment, getScope, jjtClose, jjtOpen, setScope, toString`

### Methods inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

`appendElement, findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDecendantOfAnyType, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, isSingleLine, jjtAddChild, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setUserData, testingOnly__setBeginColumn, testingOnly__setBeginLine, testingOnly__setEndColumn, testingOnly__setEndLine`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.sourceforge.pmd.lang.ast.Node

`findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, jjtAddChild, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setUserData`

### Constructor Detail

#### ASTMethodDeclaration

    public ASTMethodDeclaration(int id)

#### ASTMethodDeclaration

    public ASTMethodDeclaration(JavaParser p,
                        int id)

### Method Detail

#### jjtAccept

    public Object jjtAccept(JavaParserVisitor visitor,
                   Object data)

Accept the visitor. *

Specified by:
  `jjtAccept` in interface `JavaNode`
Overrides:
  `jjtAccept` in class `AbstractJavaNode`

#### getMethodName

    public String getMethodName()

Gets the name of the method.

Returns:
  a String representing the name of the method

#### isSyntacticallyPublic

    public boolean isSyntacticallyPublic()

#### isSyntacticallyAbstract

    public boolean isSyntacticallyAbstract()

#### isPublic

    public boolean isPublic()

Specified by:
  `isPublic` in interface `AccessNode`
Overrides:
  `isPublic` in class `AbstractJavaAccessNode`

#### isAbstract

    public boolean isAbstract()

Specified by:
  `isAbstract` in interface `AccessNode`
Overrides:
  `isAbstract` in class `AbstractJavaAccessNode`

#### isInterfaceMember

    public boolean isInterfaceMember()

#### isVoid

    public boolean isVoid()

#### getResultType

    public ASTResultType getResultType()

#### getBlock

    public ASTBlock getBlock()